html {
    min-height: 100%;
}
body {
    min-height: 100%;
    background: linear-gradient(#121e3f, #625a97);
}

/* #region reusable snippets */
.green-text {
    color: #2dbf70;
}
.margin-top-0 {
    margin-top: 0;
}
.margin-bottom-0 {
    margin-bottom: 0;
}
.margin-bottom-5px {
    margin-bottom: 5px;
}

.font-size-14 {
    font-size: 14px;
}

.roboto {
    font-family: roboto;
}

.header-text {
    font-family: Roboto;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
}

.header-text.mobile {
    font-size: 40px;
    padding: 1rem;
}
.header-text.desktop {
    font-size: 50px;
    margin-bottom: 4rem;
    margin-top: 3rem;
}

.hidden {
    display: none;
}

/* #endregion reusable snippets */

.logo-header {
    font-size: 45px;
    margin-top: 1rem;
}

.promo-description {
    margin-bottom: 5px;
    line-height: 1.7;
}

.referral-info-container {
    max-width: 400px;
    margin: auto;
    text-align: center;
    padding: 1rem;
}

.referral-info-container > h3 {
    margin: 0;
    font-family: Roboto;
}
.referral-info-container > h1 {
    margin-bottom: 15px;
    font-family: Roboto;
}

.referral-info-container > span {
    padding-top: 1rem;
}

.premium-image img {
    height: 35px;
    width: auto;
}

.referral-content-1 img {
    height: auto;
    width: 70px;
}

.referral-content-1 {
    display: grid;
    grid-template-columns: 75px auto;
    grid-template-rows: repeat(3, 65px);
    gap: 1rem;
    align-items: center;
    text-align: left;
    margin-top: 1rem;
    max-width: 300px;
}

.referral-content-1 p {
    font-size: 1.25rem;
}

.claim-instructions-wrapper img {
    height: auto;
    width: 35px;
}

.claim-instructions-wrapper p {
    line-height: 1.7;
    font-size: 1.25rem;
}

.create-account-note {
    margin-top: 5px;
    font-size: 0.75rem;
}

.referral-claim-container {
    margin: auto;
    text-align: center;
}

.center-image {
    display: flex;
    justify-content: center;
}

.cta-container {
    margin-top: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 1rem;
}

.cta-container button {
    background-color: #2dbf70;
    color: white;
    border-radius: 5px;
    width: 250px;
    height: 45px;
}

.rfc {
    display: block;
    margin: auto;
}

.desktop-flex-container {
    padding: 2rem;
    max-width: 1000px;
    margin: auto;
}

.copy-link-container {
    border-style: solid;
    border-width: 1px;
    border-color: #9aa0a9;
    border-radius: 5px;
    width: 250px;
    height: 45px;
    margin: auto;
    padding: 0 0.5rem 0 0.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* gap: 5px; */
    transition: background-color 230ms;
    position: relative;
}

.copy-link-container a {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: block;
}

.copy-link-container a:link {
    text-decoration: none;
}
.copy-link-container a:visited {
    text-decoration: none;
}
.copy-link-container a:hover {
    text-decoration: none;
}
.copy-link-container a:active {
    text-decoration: none;
}

.copy-link-instruction button {
    background-color: transparent;
}

.copy-prompt {
    color: #9aa0a9;
    font-weight: 100;
}

.copy-link-instruction .copied {
    color: #2dbf70;
}

/* mobile */
@media all and (max-width: 750px) {
    .desktop {
        display: none;
    }
    .claim-instructions-wrapper > div {
        padding: 0 1rem;
    }

    .fixed-mobile {
        position: fixed;
        margin-top: 0;
        margin-bottom: 0;
        padding-top: 1rem;
        padding-bottom: 1rem;
        background-color: black;
        bottom: 0;
        width: 100%;
    }
    .mobile-footer-gap {
        margin-bottom: 4rem;
    }
}

/* desktop */
@media all and (min-width: 750px) {
    .mobile {
        display: none;
    }
    .desktop-flex-container {
        display: flex;
        justify-content: space-around;
    }
    .referral-info-container {
        text-align: left;
    }
    .signup-image {
        height: auto;
        max-width: 400px;
    }
    .claim-instructions-wrapper {
        display: flex;
        justify-content: space-around;
        max-width: 1000px;
        margin: auto;
    }
    .claim-instructions-wrapper > div {
        max-width: 130px;
    }
    .copy-link-container {
        margin-top: 3rem;
    }
}
